Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLARUV

    java.lang.Object
      org.netlib.lapack.DLARUV

    public class DLARUV

extends java.lang.Object

    DLARUV is a simplified interface to the JLAPACK routine dlaruv.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLARUV returns a vector of n random real numbers from a uniform (0,1)
     *  distribution (n <= 128).
     *
     *  This is an auxiliary routine called by DLARNV and ZLARNV.
     *
     *  Arguments
     *  =========
     *
     *  ISEED   (input/output) INTEGER array, dimension (4)
     *          On entry, the seed of the random number generator; the array

     *          elements must be between 0 and 4095, and ISEED(4) must be
     *          odd.
     *          On exit, the seed is updated.
     *
     *  N       (input) INTEGER
     *          The number of random numbers to be generated. N <= 128.
     *
     *  X       (output) DOUBLE PRECISION array, dimension (N)
     *          The generated random numbers.
     *
     *  Further Details
     *  ===============
     *
     *  This routine uses a multiplicative congruential method with modulus
     *  2**48 and multiplier 33952834046453 (see G.S.Fishman,
     *  'Multiplicative congruential random number generators with modulus
     *  2**b: an exhaustive analysis for b = 32 and a partial analysis for
     *  b = 48', Math. Comp. 189, pp 331-344, 1990).
     *
     *  48-bit integers are stored in 4 integer array elements with 12 bits
     *  per element. Hence the routine is portable across machines with
     *  integers of 32 bits or more.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DLARUV()`

Method Summary
`static void` | `DLARUV(int[] iseed, int n, double[] x)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLARUV

    public DLARUV()

Method Detail

### DLARUV

    public static void DLARUV(int[] iseed,
                              int n,
                              double[] x)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD